ros-noetic-rostest (1.17.0-1focal) focal; urgency=high

  * Add new rostest utility subscribetest (#2184 <https://github.com/ros/ros_comm/issues/2184>)
  * Fix use of undelcared variable t_start (#2183 <https://github.com/ros/ros_comm/issues/2183>)
  * Fix rostest target names when build directory is inside source directory (#2361 <https://github.com/ros/ros_comm/issues/2361>)
  * Contributors: Kei Okada, Michael Görner

 -- Michael Carroll <michael@openrobotics.org>  Fri, 13 Sep 2024 00:00:00 -0000

ros-noetic-rostest (1.16.0-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Wed, 15 Feb 2023 00:00:00 -0000

ros-noetic-rostest (1.15.15-1focal) focal; urgency=high

  * Move @jacobperron from maintainer to author (#2302 <https://github.com/ros/ros_comm/issues/2302>)
  * Contributors: Shane Loretz

 -- Michael Carroll <michael@openrobotics.org>  Wed, 23 Nov 2022 00:00:00 -0000

ros-noetic-rostest (1.15.14-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 06 Jan 2022 00:00:00 -0000

ros-noetic-rostest (1.15.13-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 22 Sep 2021 00:00:00 -0000

ros-noetic-rostest (1.15.12-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 21 Sep 2021 00:00:00 -0000

ros-noetic-rostest (1.15.11-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 06 Apr 2021 00:00:00 -0000

ros-noetic-rostest (1.15.10-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-noetic-rostest (1.15.9-1focal) focal; urgency=high

  * Fix incorrect test expecation (#2054 <https://github.com/ros/ros_comm/issues/2054>)
  * Update maintainers (#2075 <https://github.com/ros/ros_comm/issues/2075>)
  * Fix spelling (#2066 <https://github.com/ros/ros_comm/issues/2066>)
  * Install advertisetest (#2046 <https://github.com/ros/ros_comm/issues/2046>)
  * Contributors: Levko Ivanchuk, Shane Loretz, beetleskin, tomoya

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 16 Oct 2020 00:00:00 -0000

ros-noetic-rostest (1.15.8-1focal) focal; urgency=high

  * remove dependency on rostopic from rostest package (#2002 <https://github.com/ros/ros_comm/issues/2002>)
  * fix missing reload() function in Python 3 (#1968 <https://github.com/ros/ros_comm/issues/1968>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 23 Jul 2020 00:00:00 -0000

ros-noetic-rostest (1.15.7-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 28 May 2020 00:00:00 -0000

ros-noetic-rostest (1.15.6-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 21 May 2020 00:00:00 -0000

ros-noetic-rostest (1.15.5-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 15 May 2020 00:00:00 -0000

ros-noetic-rostest (1.15.4-1focal) focal; urgency=high

  * restrict boost dependencies to components used (#1871 <https://github.com/ros/ros_comm/issues/1871>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 19 Mar 2020 00:00:00 -0000

ros-noetic-rostest (1.15.3-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 28 Feb 2020 00:00:00 -0000

ros-noetic-rostest (1.15.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 25 Feb 2020 00:00:00 -0000

ros-noetic-rostest (1.15.1-1focal) focal; urgency=high

  * increase time limit of advertisetest/publishtest.test to reduce flakyness (#1897 <https://github.com/ros/ros_comm/issues/1897>)
  * use setuptools instead of distutils (#1870 <https://github.com/ros/ros_comm/issues/1870>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 24 Feb 2020 00:00:00 -0000

ros-noetic-rostest (1.15.0-1focal) focal; urgency=high

  * wrap rostest call to add python pointing to sys.executable in PATH (#1879 <https://github.com/ros/ros_comm/issues/1879>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 21 Feb 2020 00:00:00 -0000

ros-noetic-rostest (1.14.4-1focal) focal; urgency=high

  * bump CMake minimum version to avoid CMP0048 warning (#1869 <https://github.com/ros/ros_comm/issues/1869>)
  * more Python 3 compatibility (#1795 <https://github.com/ros/ros_comm/issues/1795>)
  * rostest: add advertisetest (#1761 <https://github.com/ros/ros_comm/issues/1761>)
  * fix flaky hztests (#1661 <https://github.com/ros/ros_comm/issues/1661>)
  * use AnyMsg in publishtest (#1659 <https://github.com/ros/ros_comm/issues/1659>)
  * fix various test problems (#1601 <https://github.com/ros/ros_comm/issues/1601>)
  * invoke rostest from CMake with the PYTHON_EXECUTABLE (#1583 <https://github.com/ros/ros_comm/issues/1583>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 20 Feb 2020 00:00:00 -0000

ros-noetic-rostest (1.14.3-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Aug 2018 00:00:00 -0000

ros-noetic-rostest (1.14.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 06 Jun 2018 00:00:00 -0000

ros-noetic-rostest (1.14.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 21 May 2018 00:00:00 -0000

ros-noetic-rostest (1.14.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 21 May 2018 00:00:00 -0000

ros-noetic-rostest (1.13.6-1focal) focal; urgency=high

  * add_rostest_gmock function (#1303 <https://github.com/ros/ros_comm/issues/1303>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 05 Feb 2018 00:00:00 -0000

ros-noetic-rostest (1.13.5-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 09 Nov 2017 00:00:00 -0000

ros-noetic-rostest (1.13.4-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 02 Nov 2017 00:00:00 -0000

ros-noetic-rostest (1.13.3-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 25 Oct 2017 00:00:00 -0000

ros-noetic-rostest (1.13.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 15 Aug 2017 00:00:00 -0000

ros-noetic-rostest (1.13.1-1focal) focal; urgency=high

  * check clock publication neatly in publishtest (#973 <https://github.com/ros/ros_comm/issues/973>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 27 Jul 2017 00:00:00 -0000

ros-noetic-rostest (1.13.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 22 Feb 2017 00:00:00 -0000

ros-noetic-rostest (1.12.7-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 17 Feb 2017 00:00:00 -0000

ros-noetic-rostest (1.12.6-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 26 Oct 2016 00:00:00 -0000

ros-noetic-rostest (1.12.5-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 30 Sep 2016 00:00:00 -0000

ros-noetic-rostest (1.12.4-1focal) focal; urgency=high

  * fix test type handling (#722 <https://github.com/ros/ros_comm/issues/722>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 19 Sep 2016 00:00:00 -0000

ros-noetic-rostest (1.12.3-1focal) focal; urgency=high

  * add test node if topic message is published at least once (#863 <https://github.com/ros/ros_comm/issues/863>)
  * add_rostest_gtest does now add the created gtest-target as a dependeny to the created rostest (#830 <https://github.com/ros/ros_comm/pull/830>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 17 Sep 2016 00:00:00 -0000

ros-noetic-rostest (1.12.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 03 Jun 2016 00:00:00 -0000

ros-noetic-rostest (1.12.1-1focal) focal; urgency=high

  * fix passing multiple args to add_rostest (fix #790 <https://github.com/ros/ros_comm/issues/790>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Apr 2016 00:00:00 -0000

ros-noetic-rostest (1.12.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Mar 2016 00:00:00 -0000

ros-noetic-rostest (1.11.18-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 17 Mar 2016 00:00:00 -0000

ros-noetic-rostest (1.11.17-1focal) focal; urgency=high

  * rostest.rosrun now generates coverage reports (#558 <https://github.com/ros/ros_comm/issues/558>)
  * rostest can load tests from a dotted name (#722 <https://github.com/ros/ros_comm/issues/722>)
  * include GTEST_INCLUDE_DIRS so that the proper gtest headers are found (#727 <https://github.com/ros/ros_comm/issues/727>)
  * rostest: move replacement of slashes after ARGS handling (#721 <https://github.com/ros/ros_comm/pull/721>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 11 Mar 2016 00:00:00 -0000

ros-noetic-rostest (1.11.16-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 09 Nov 2015 00:00:00 -0000

ros-noetic-rostest (1.11.15-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 13 Oct 2015 00:00:00 -0000

ros-noetic-rostest (1.11.14-1focal) focal; urgency=high

  * add --local option to rostest (#137 <https://github.com/ros/ros_comm/issues/137>)
  * fix location of rosunit result files generated by rostests (#668 <https://github.com/ros/ros_comm/pull/668>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 19 Sep 2015 00:00:00 -0000

ros-noetic-rostest (1.11.13-1focal) focal; urgency=high

  * fix location of rostest result files (#611 <https://github.com/ros/ros_comm/issues/611>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 28 Apr 2015 00:00:00 -0000

ros-noetic-rostest (1.11.12-1focal) focal; urgency=high

  * fix location of rostest result files (#82 <https://github.com/ros/ros/pull/82>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Apr 2015 00:00:00 -0000

ros-noetic-rostest (1.11.11-1focal) focal; urgency=high

  * add DEPENDENCIES option to CMake function add_rostest (#546 <https://github.com/ros/ros_comm/issues/546>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 16 Apr 2015 00:00:00 -0000

ros-noetic-rostest (1.11.10-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 22 Dec 2014 00:00:00 -0000

ros-noetic-rostest (1.11.9-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Aug 2014 00:00:00 -0000

ros-noetic-rostest (1.11.8-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 04 Aug 2014 00:00:00 -0000

ros-noetic-rostest (1.11.7-1focal) focal; urgency=high

  * make rostest use a random master port and run rostests in parallel (#468 <https://github.com/ros/ros_comm/issues/468>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Jul 2014 00:00:00 -0000

ros-noetic-rostest (1.11.6-1focal) focal; urgency=high

  * resolving naming conflicts when multiple test are added with arguments (#462 <https://github.com/ros/ros_comm/issues/462>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 10 Jul 2014 00:00:00 -0000

ros-noetic-rostest (1.11.5-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 24 Jun 2014 00:00:00 -0000

ros-noetic-rostest (1.11.4-1focal) focal; urgency=high

  * Python 3 compatibility (#426 <https://github.com/ros/ros_comm/issues/426>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 16 Jun 2014 00:00:00 -0000

ros-noetic-rostest (1.11.3-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 May 2014 00:00:00 -0000

ros-noetic-rostest (1.11.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 08 May 2014 00:00:00 -0000

ros-noetic-rostest (1.11.1-1focal) focal; urgency=high

  * add architecture_independent flag in package.xml (#391 <https://github.com/ros/ros_comm/issues/391>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 07 May 2014 00:00:00 -0000

ros-noetic-rostest (1.11.0-1focal) focal; urgency=high

  * use catkin_install_python() to install Python scripts (#361 <https://github.com/ros/ros_comm/issues/361>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 04 Mar 2014 00:00:00 -0000

ros-noetic-rostest (1.10.0-1focal) focal; urgency=high

  * modify rostest to wait when other instances are running

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 11 Feb 2014 00:00:00 -0000

ros-noetic-rostest (1.9.54-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Jan 2014 00:00:00 -0000

ros-noetic-rostest (1.9.53-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 14 Jan 2014 00:00:00 -0000

ros-noetic-rostest (1.9.52-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 Jan 2014 00:00:00 -0000

ros-noetic-rostest (1.9.51-1focal) focal; urgency=high

  * add missing boost component

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 07 Jan 2014 00:00:00 -0000

ros-noetic-rostest (1.9.50-1focal) focal; urgency=high

  * fix result file naming for wet rostests when being built in-source (ros/catkin#512 <https://github.com/ros/catkin/issues/512>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 04 Oct 2013 00:00:00 -0000

ros-noetic-rostest (1.9.49-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 16 Sep 2013 00:00:00 -0000

ros-noetic-rostest (1.9.48-1focal) focal; urgency=high

  * add convenience function for rostest with gtests (#258 <https://github.com/ros/ros_comm/issues/258>)
  * make rostest relocatable (ros/catkin#490 <https://github.com/ros/catkin/issues/490>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 Aug 2013 00:00:00 -0000

ros-noetic-rostest (1.9.47-1focal) focal; urgency=high

  * update 'rostest' to support CATKIN_ENABLE_TESTING
  * check for CATKIN_ENABLE_TESTING to enable configure without tests

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 03 Jul 2013 00:00:00 -0000

ros-noetic-rostest (1.9.46-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 18 Jun 2013 00:00:00 -0000

ros-noetic-rostest (1.9.45-1focal) focal; urgency=high

  * allow passing arguments to add_rostest(ARGS ...) (#232 <https://github.com/ros/ros_comm/issues/232>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 06 Jun 2013 00:00:00 -0000

ros-noetic-rostest (1.9.44-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 21 Mar 2013 00:00:00 -0000

ros-noetic-rostest (1.9.43-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 13 Mar 2013 00:00:00 -0000

ros-noetic-rostest (1.9.42-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 08 Mar 2013 00:00:00 -0000

ros-noetic-rostest (1.9.41-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 24 Jan 2013 00:00:00 -0000

ros-noetic-rostest (1.9.40-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 13 Jan 2013 00:00:00 -0000

ros-noetic-rostest (1.9.39-1focal) focal; urgency=high

  * first public release for Groovy

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 29 Dec 2012 00:00:00 -0000


